Application: gvSIG desktop - gvSIG bugs #5616
No funciona la autorizacion basica de usuarios
04/07/2021 11:08 AM - Victor Montes Camara

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.6.0-3219

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3218 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Tengo un usuariol sin permisos de commit y un usuario2 con todos los permisos.

Cuando intento hacer commit me pide las credenciales pero no autentica con ningiin usuario. Pulsando el botén cancelar en la

ventana de conexidn de usuario aparece la ventana con el mensaje de User_no_authorized.

Si la dltima vez que intenté autenticar fue con el usuario1 antes de darle a cancelar, la préxima vez que intente hacer el commit,

vuelve a pedir autenticacion.

Sin embargo, si la Gltima vez que intenté autenticar lo hice con el usuario2, aunque seguia pidiendo usuario y contrasefia como su

fueran incorrectas, si estaba autenticado, porque esta vez hace el commit sin problemas.

Associated revisions

Revision 3635 - 04/15/2021 01:59 PM - Francisco Diaz Carsi

refs #5616 Fixed authorization request when the user change

Revision 3636 - 04/16/2021 09:53 AM - Francisco Diaz Carsi

refs #5616 Fixed authorization request when the user change

Revision 3748 - 04/28/2021 11:38 AM - Francisco Diaz Carsi

refs #5616 Added traces for verify authentication system

History

#1 - 04/12/2021 10:29 AM - Joaquin del Cerro Murciano
- Hito set to Fase 01

- Target version set to 2.6.0-3219

- Assignee set to Francisco Diaz Carsi

#2 - 04/15/2021 01:59 PM - Francisco Diaz Carsi
- Status changed from New to Fixed

#3 - 04/27/2021 10:05 AM - Victor Montes Camara
- Status changed from Fixed to Under review

No funciona.
Ahora deja hacer commit estando autenticado con un usuario que no tiene permimos de commit.
Tampoco funciona la autorizacién avanzada. Es decir, si configuramos la entidad para que sélo pueda hacer commit el usuario que tiene permisos de

commit, sigue dejando hacer commit con cualquier usuario.

#4 - 04/28/2021 06:06 PM - Joaquin del Cerro Murciano
- gvSIG build set to 3218

No hemos sido capaces de reproducir el error en el build 3219.
En los equipos de desarrollo esta funcionando correctamente.
Hemos anadido entradas en el log informanado del usuario y del tiempo del token de autorizacion cada vez que se autentica a un usuario y se le

autoriza a realizar una accion que estaran disponibles en el build 3220.

#5 - 05/14/2021 09:49 AM - Joaquin del Cerro Murciano
- Status changed from Under review to Invalid
